--=============================================================================================
--Fee Charge events
--Start and End date is being used from public.pov_control_path control table. 6-10-17
--=============================================================================================

/* TAH_MAS_TL_TUT tahsil edilen masraf tutarı 
-- MAS_TUT_TL masraf tutarı 
-- bu ikisi birbirine esitse masrafın tamamını almışız demek o yuzden full diyoruz */

--'2017-01-01 00:00:00.000000' AND '2017-07-31 00:00:00.000000' --Need to change this when source table in updated

--Yeni tablo:

--select masraftakipno, tar from ods_near.masraf_takip 
--where trunc (tar) > = '01.10.2015'
--and nvl (ipt_drm,0) <> 'I'


--DROP TABLE IF EXISTS zeren.fee_event;
--CREATE TABLE zeren.fee_event DISTRIBUTE BY HASH (cmusno) AS

INSERT INTO onboarding.event_list 
SELECT  cmusno 
		, case WHEN ref_masraf_ust_grup = '1' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19001
				WHEN ref_masraf_ust_grup = '10' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19002
				WHEN ref_masraf_ust_grup = '11' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19003
				WHEN ref_masraf_ust_grup = '12' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19004
				WHEN ref_masraf_ust_grup = '13' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19005
				WHEN ref_masraf_ust_grup in  ('14', '6') and MAS_TUT_TL=TAH_MAS_TL_TUT then 19006
				WHEN ref_masraf_ust_grup = '15' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19007
				WHEN ref_masraf_ust_grup = '16' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19008
				WHEN ref_masraf_ust_grup = '2' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19009
				WHEN ref_masraf_ust_grup = '3' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19010
				WHEN ref_masraf_ust_grup = '4' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19011
				WHEN ref_masraf_ust_grup = '5' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19012
				WHEN ref_masraf_ust_grup = '7' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19013
				WHEN ref_masraf_ust_grup = '8' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19014
				WHEN ref_masraf_ust_grup = '9' and MAS_TUT_TL=TAH_MAS_TL_TUT then 19015
				WHEN ref_masraf_ust_grup is null and MAS_TUT_TL= TAH_MAS_TL_TUT then 19016

				WHEN ref_masraf_ust_grup = '1' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19017
				WHEN ref_masraf_ust_grup = '10' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19018
				WHEN ref_masraf_ust_grup = '11' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19019
				WHEN ref_masraf_ust_grup = '12' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19020
				WHEN ref_masraf_ust_grup = '13' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19021
				WHEN ref_masraf_ust_grup in  ('14', '6') and MAS_TUT_TL != TAH_MAS_TL_TUT then 19022
				WHEN ref_masraf_ust_grup = '15' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19023
				WHEN ref_masraf_ust_grup = '16' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19024
				WHEN ref_masraf_ust_grup = '2' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19025
				WHEN ref_masraf_ust_grup = '3' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19026
				WHEN ref_masraf_ust_grup = '4' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19027
				WHEN ref_masraf_ust_grup = '5' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19028
				WHEN ref_masraf_ust_grup = '7' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19029
				WHEN ref_masraf_ust_grup = '8' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19030
				WHEN ref_masraf_ust_grup = '9' and MAS_TUT_TL != TAH_MAS_TL_TUT then 19031
				WHEN ref_masraf_ust_grup is null and MAS_TUT_TL != TAH_MAS_TL_TUT then 19032
		end as event_id
		,mt.tar as EVENT_DATE
		,'FEE' 
		,CASE	when ref_masraf_ust_grup = '1' then 'ATMFeeChrgd'
				when ref_masraf_ust_grup = '10' then 'CardPOSFeeChrgd'
				when ref_masraf_ust_grup = '11' then 'DepositBoxFeeChrgd'
				when ref_masraf_ust_grup = '12' then 'CashLoanFeeChrgd'
				when ref_masraf_ust_grup = '13' then 'CshMngmentFeeChrgd'
				when ref_masraf_ust_grup in ( '14', '6') then 'ExternTrxFeeChrgd'
				when ref_masraf_ust_grup = '15' then 'TreasuryFeeChrgd'
				when ref_masraf_ust_grup = '16' then 'LoanOprFeeChrgd'
				when ref_masraf_ust_grup = '2' then 'OffBankingPaymFeeChrgd'
				when ref_masraf_ust_grup = '3' then 'CommServiceFeeChrgd'
				when ref_masraf_ust_grup = '4' then 'AccountingFeeChrgd'
				when ref_masraf_ust_grup = '5' then 'ChequeNoteTrxFeeChrgd'
				when ref_masraf_ust_grup = '7' then 'NonCshLoanFeeChrgd'
				when ref_masraf_ust_grup = '8' then 'MoneyTfrFeeChrgd'
				when ref_masraf_ust_grup = '9' then 'AcctTrxFeeChrgd'
				else 'OtherFeeChrgd'
		END as EVENT1
		,CASE	WHEN MAS_TUT_TL=TAH_MAS_TL_TUT THEN 'Full'
				ELSE 'Partial'
		END as EVENT2
		,'' as EVENT3
		, channel.chn_name
FROM
"staging"."pov_dwd_masraf_takip" masraf
JOIN dw_out.masraf_takip mt
on masraf.masraftakipno=mt.masraftakipno
JOIN
onboarding.control_path control_tab
ON 1=1
JOIN  staging.pov_lp_channel channel
ON channel.id=masraf.kanalno
WHERE --"tarih_id" = control_tab.snapshot_date AND
mt.tar BETWEEN control_tab.start_date  AND control_tab.end_date
AND TAH_MAS_TL_TUT != 0; 
--STATEMENT 1: Insert Statement completed. 64997953  rows processed.

INSERT INTO onboarding.event_list 
SELECT  cmusno 
		, case WHEN TAH_MAS_TL_TUT=IADE_TUT_TL then 19033
		else 19034
		end as event_id
		,(iade_istar + interval '23:59:59') as EVENT_DATE --timestamp değil değiştirilebilir
		,'FEE' 
		,'FeeChargeBack' as EVENT1
		,CASE	WHEN TAH_MAS_TL_TUT=IADE_TUT_TL THEN 'Full'
				ELSE 'Partial'
		END as EVENT2
		,'' as EVENT3
		, channel.chn_name
FROM
"staging"."pov_dwd_masraf_takip" masraf
JOIN
onboarding.control_path control_tab
ON 1=1
JOIN  staging.pov_lp_channel channel
ON channel.id=masraf.kanalno
WHERE --"tarih_id" = control_tab.snapshot_date AND
 "iade_istar" BETWEEN control_tab.start_date  AND control_tab.end_date
AND IADE_TUT_TL != 0;
--STATEMENT 2: Insert Statement completed. 565063  rows processed.

/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from zeren.event_list
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select  domain_type, EVENT1, EVENT2, EVENT3, count(cust_id)
from staging.path_events
where domain_type='FEE CHARGED'
group by  domain_type, EVENT1, EVENT2, EVENT3;

*/

/*
select tarih_id, tah_istar, count(cmusno)
from "staging"."pov_dwd_masraf_takip"
group by tarih_id, tah_istar;
*/

--select distinct kanalno from "staging"."pov_dwd_masraf_takip" ;

--DELETE FROM  onboarding.event_list WHERE domain_type='FEE' and event1='FeeChargeBack';

/*
INSERT INTO zeren.event_list 
SELECT  cmusno 
		, case WHEN ref_masraf_ust_grup = '1' and TAH_MAS_TL_TUT=IADE_TUT_TL then 19033
				WHEN ref_masraf_ust_grup = '10' and TAH_MAS_TL_TUT=IADE_TUT_TL then 19034
				WHEN ref_masraf_ust_grup = '12' and TAH_MAS_TL_TUT=IADE_TUT_TL then 19035
				WHEN ref_masraf_ust_grup = '8' and TAH_MAS_TL_TUT=IADE_TUT_TL then 19036
				WHEN ref_masraf_ust_grup = '9' and TAH_MAS_TL_TUT=IADE_TUT_TL then 19037
				WHEN ref_masraf_ust_grup not in ('1','10','12','8','9') and TAH_MAS_TL_TUT = IADE_TUT_TL then 19038

				WHEN ref_masraf_ust_grup = '1' and TAH_MAS_TL_TUT != IADE_TUT_TL then 19039
				WHEN ref_masraf_ust_grup = '10' and TAH_MAS_TL_TUT != IADE_TUT_TL then 19040
				WHEN ref_masraf_ust_grup = '12' and TAH_MAS_TL_TUT != IADE_TUT_TL then 19041
				WHEN ref_masraf_ust_grup = '8' and TAH_MAS_TL_TUT != IADE_TUT_TL then 19042
				WHEN ref_masraf_ust_grup = '9' and TAH_MAS_TL_TUT != IADE_TUT_TL then 19043
				WHEN ref_masraf_ust_grup not in ('1','10','12','8','9') and TAH_MAS_TL_TUT != IADE_TUT_TL then 19044
		end as event_id
		,iade_istar as EVENT_DATE
		,'FEE' 
		,CASE	when ref_masraf_ust_grup = '1' then 'ATMFeeChrgBack'
				when ref_masraf_ust_grup = '10' then 'CardPOSFeeChrgBack'
				when ref_masraf_ust_grup = '12' then 'CashLoanFeeChrgBack'
				when ref_masraf_ust_grup = '8' then 'MoneyTfrFeeChrgBack'
				when ref_masraf_ust_grup = '9' then 'AcctTrxFeeChrgBack'
				else 'OtherFeeChrgBack'
		END as EVENT1
		,CASE	WHEN TAH_MAS_TL_TUT=IADE_TUT_TL THEN 'Full'
				ELSE 'Partial'
		END as EVENT2
		,'' as EVENT3
		, channel.chn_name
FROM
"staging"."pov_dwd_masraf_takip" masraf
JOIN
onboarding.control_path control_tab
ON 1=1
JOIN  staging.pov_lp_channel channel
ON channel.id=masraf.kanalno
WHERE "tarih_id" = control_tab.snapshot_date 
AND "tar" BETWEEN control_tab.start_date  AND control_tab.end_date
AND IADE_TUT_TL != 0;
*/

