--=============================================================================================
--Fee Charge and Fund transfer events
--Start and End date is being used from public.pov_control_path control table. 6-10-17
--=============================================================================================


--Auto Payment Open Event

INSERT INTO onboarding.event_list
SELECT cmusno 
		,case WHEN tur.fat_tur = 'OFO' then 10001
			WHEN tur.fat_tur = 'SIGORTA' then 10002
			WHEN tur.fat_tur = 'OTHERS' then 10003
		end as event_id
		,tar as EVENT_DATE
		,'AUTO_PAYMENT'
		,'AutoPmtOpen' as EVENT1
		,tur.fat_tur as EVENT2
		,'' as EVENT3
		,channel.chn_name

FROM
"staging"."pov_tb_fat_tlmt" fat
JOIN
onboarding.control_path control_tab 
ON 1=1
JOIN pov_lp_fat_tur tur
ON fat.fatkurumno=tur.fatkurumno
JOIN  staging.pov_lp_channel channel
ON channel.id=fat.kanalno
WHERE tar BETWEEN control_tab.start_date  AND control_tab.end_date;

--STATEMENT 1: Insert Statement completed. 1772971   rows processed.


--Auto Payment Cancel Event
INSERT INTO onboarding.event_list
SELECT cmusno 
		,case WHEN tur.fat_tur = 'OFO' then 10004
					WHEN tur.fat_tur = 'SIGORTA' then 10005
					WHEN tur.fat_tur = 'OTHERS' then 10006
		end as event_id
		,ipt_tar as EVENT_DATE
		,'AUTO_PAYMENT'
		,'AutoPmtCancel' as EVENT1
		,tur.fat_tur as EVENT2
		,'' as EVENT3
		,channel.chn_name	
FROM
"staging"."pov_tb_fat_tlmt" fat
JOIN
onboarding.control_path control_tab 
ON 1=1
JOIN pov_lp_fat_tur tur
ON fat.fatkurumno=tur.fatkurumno
JOIN  staging.pov_lp_channel channel
ON channel.id=fat.kanalno
WHERE ipt_tar BETWEEN control_tab.start_date  AND control_tab.end_date;
--STATEMENT 2: Insert Statement completed. 334204   rows processed.

--DELETE FROM  onboarding.event_list WHERE domain_type='AUTO_PAYMENT';
/*
select  domain_type, event_id, EVENT1, EVENT2, EVENT3, count(cmusno)
from onboarding.event_list
where domain_type='AUTO_PAYMENT'
group by  domain_type, event_id, EVENT1, EVENT2, EVENT3;


select  domain_type, EVENT1, EVENT2, EVENT3, count(cust_id)
from staging.path_events
where domain_type='AUTO-PAYMENT'
group by  domain_type, EVENT1, EVENT2, EVENT3;


select distinct kanalno from "staging"."pov_tb_fat_tlmt";

select * from "staging"."pov_tb_fat_tlmt";
select * from "staging"."pov_lp_fat_tur";
select * from dw_out.fat_kurum
where ad like '%CARD%'
WHERE fatkurumno=50;
*/