--=============================================================================================
--Fee Charge and Fund transfer events
--Start and End date is being used from public.pov_control_path control table. 6-10-17
--=============================================================================================


--incoming		    HVL_TUR = 2 and TRANSFER_SEKLI = 1
--outgoing_havale	HVL_TUR = 1 and TRANSFER_SEKLI = 1
--incoming_eft		HVL_TUR = 2 and TRANSFER_SEKLI = 3
--outcoming_eft		HVL_TUR = 1 and TRANSFER_SEKLI = 3

-- ETL'de tar'dan WHERE kosulu konmus ama tekrar where kosuluna gerek yok gibi duruyor

--Incoming Intra-Bank Transfer
--INSERT INTO staging.path_events

INSERT INTO onboarding.event_list
SELECT CUST_ACCT_RCV.CMUSNO
		,26001 as event_id
		,CAST(tar AS TIMESTAMP) as EVENT_DATE
		,'FUND_TRANSFER' as domain_type
		,'IncomingFundTrf' as EVENT1
		,'HVL' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name		
FROM "staging"."pov_dwf_havale" TFR 
LEFT JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT_RCV
ON TFR.ALICI_HESNO = CUST_ACCT_RCV.HESNO AND CUST_ACCT_RCV.SUBE=TFR.SUBE
LEFT JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT_SND
ON TFR.GON_HESNO = CUST_ACCT_SND.HESNO AND CUST_ACCT_SND.SUBE=TFR.KARSI_SUBENO
left join "staging"."pov_lp_channel" chn
on tfr.HVL_KANALNO=chn.id
JOIN
onboarding.control_path control_tab 
ON 1=1
WHERE HVL_TUR = 2 AND TRANSFER_SEKLI = 1 
AND tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE) 
AND CUST_ACCT_SND.CMUSNO != CUST_ACCT_RCV.CMUSNO;
--STATEMENT 1: Insert Statement completed. 13890442  rows processed



--Incoming EFT Transfer
--INSERT INTO staging.path_events
INSERT INTO onboarding.event_list
SELECT CUST_ACCT.CMUSNO
		,26002 as event_id
		,CAST(tar AS TIMESTAMP) as EVENT_DATE
		,'FUND_TRANSFER' as domain_type
		,'IncomingFundTrf' as EVENT1
		,'EFT' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name		
FROM "staging"."pov_dwf_havale" TFR 
INNER JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT 
ON TFR.ALICI_HESNO = CUST_ACCT.HESNO AND CUST_ACCT.SUBE=TFR.SUBE
left join "staging"."pov_lp_channel" chn
on tfr.HVL_KANALNO=chn.id
JOIN onboarding.control_path control_tab ON 1=1
WHERE HVL_TUR = 2 AND TRANSFER_SEKLI = 3 AND tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE);
--STATEMENT 2: Insert Statement completed. 19954687  rows processed. 
 
--Outgoing Intra-Bank Transfer
--INSERT INTO staging.path_events

INSERT INTO onboarding.event_list
SELECT CUST_ACCT_SND.CMUSNO
		,26003 as event_id
		,CAST(tar AS TIMESTAMP) as EVENT_DATE
		,'FUND_TRANSFER' as domain_type
		,'OutgoingFundTrf' as EVENT1
		,'HVL' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name		
FROM "staging"."pov_dwf_havale" TFR
LEFT JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT_RCV
ON TFR.ALICI_HESNO = CUST_ACCT_RCV.HESNO AND CUST_ACCT_RCV.SUBE=TFR.SUBE
LEFT JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT_SND
ON TFR.GON_HESNO = CUST_ACCT_SND.HESNO AND CUST_ACCT_SND.SUBE=TFR.KARSI_SUBENO
left join "staging"."pov_lp_channel" chn
on tfr.HVL_KANALNO=chn.id
JOIN onboarding.control_path control_tab
ON 1=1
WHERE HVL_TUR = 1 AND TRANSFER_SEKLI = 1 AND tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE) /*'2017-01-01' AND '2017-07-31'*/ 
				  AND CUST_ACCT_SND.CMUSNO != CUST_ACCT_RCV.CMUSNO;
--STATEMENT 3: Insert Statement completed. 7175103  rows processed.
				  
--Outgoing EFT Transfer
-- INSERT INTO staging.path_events

INSERT INTO onboarding.event_list
SELECT CMUSNO
		,26004 as event_id
		,CAST(tar AS TIMESTAMP) as EVENT_DATE
		,'FUND_TRANSFER'  as domain_type
		,'OutgoingFundTrf' as EVENT1
		,'EFT' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name	
FROM "staging"."pov_dwf_havale" TFR
INNER JOIN "staging"."pov_ybs_hesap_ortak_musteri" CUST_ACCT
ON TFR.GON_HESNO = CUST_ACCT.HESNO AND CUST_ACCT.SUBE=TFR.SUBE
JOIN
onboarding.control_path control_tab 
ON 1=1
left join "staging"."pov_lp_channel" chn
on tfr.HVL_KANALNO=chn.id
WHERE HVL_TUR = 1 AND TRANSFER_SEKLI = 3 AND tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE);
--STATEMENT 4: Insert Statement completed. 26349298  rows processed.

/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from goker.event_list
where domain_type='FUND_TRANSFER' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select  domain_type, EVENT1, EVENT2, EVENT3, count(cust_id)
from staging.path_events
where domain_type='FUND TRANSFER'
*/

--delete from goker.event_list where domain_type='FUND_TRANSFER';




