--==============================================================================
--Web log events. Application Error that user encountered through web or mobile
--==============================================================================
/*
 O:\bbank\03_CRM_BOLUMU\001_Analitik_CRM\01-Projects_A_ve_PA\37_Big_Data\19_EVENT_CHECK\02_Referanslar icerisindeki 
 05_Weblog excel'inin yuklenmesi icin tablo:
 
 CREATE FACT TABLE staging.web_log_categorie
(
   proc_ad character varying(150),
   Count_Proc_Ad  numeric(10),
   categorie character varying(50)
)
DISTRIBUTE BY HASH (proc_ad)
STORAGE ROW;
*/


/* !!! NOTE  :
 tablodan gelen eventler icin event_id olusturuldu.
 farkli tarih icin calisildiginda yeni event gelirse 30999 event_id ile olusacak. 30999'da cok birikme olursa tekrar gruplanir sonrasinda
 */


INSERT INTO onboarding.event_list
select drv.cmusno
,case when drv.event1='AppError' and drv.event2='AccActivities' then 30001
		when drv.event1='AppError' and drv.event2='AccRenaming' then 30002
		when drv.event1='AppError' and drv.event2='Agenda' then 30003
		when drv.event1='AppError' and drv.event2='ApplLogin' then 30004
		when drv.event1='AppError' and drv.event2='Authorization' then 30005
		when drv.event1='AppError' and drv.event2='AutoLoanApp' then 30006
		when drv.event1='AppError' and drv.event2='BagkurQues' then 30007
		when drv.event1='AppError' and drv.event2='BESQues' then 30008
		when drv.event1='AppError' and drv.event2='Bilyoner' then 30009
		when drv.event1='AppError' and drv.event2='BondQues' then 30010
		when drv.event1='AppError' and drv.event2='BonusForSpendingPrQues' then 30011
		when drv.event1='AppError' and drv.event2='Campaigns' then 30012
		when drv.event1='AppError' and drv.event2='CardLimitCh' then 30013
		when drv.event1='AppError' and drv.event2='CardPeriod' then 30014
		when drv.event1='AppError' and drv.event2='CardTrxInstallment' then 30015
		when drv.event1='AppError' and drv.event2='CashLoanClosing' then 30016
		when drv.event1='AppError' and drv.event2='CCApp' then 30017
		when drv.event1='AppError' and drv.event2='CCDetails' then 30018
		when drv.event1='AppError' and drv.event2='CCDetailSer_Spending' then 30019
		when drv.event1='AppError' and drv.event2='CCPay' then 30020
		when drv.event1='AppError' and drv.event2='CCSer_StatementQues' then 30021
		when drv.event1='AppError' and drv.event2='CCStatement' then 30022
		when drv.event1='AppError' and drv.event2='ChequeQues' then 30023
		when drv.event1='AppError' and drv.event2='ChooseBonusCard' then 30024
		when drv.event1='AppError' and drv.event2='CustAddress' then 30025
		when drv.event1='AppError' and drv.event2='DebitCard' then 30026
		when drv.event1='AppError' and drv.event2='DebitCardQues' then 30027
		when drv.event1='AppError' and drv.event2='DebtTransfer' then 30028
		when drv.event1='AppError' and drv.event2='Dekont' then 30029
		when drv.event1='AppError' and drv.event2='DemandAcc' then 30030
		when drv.event1='AppError' and drv.event2='DemandAccClosing' then 30031
		when drv.event1='AppError' and drv.event2='Donation' then 30032
		when drv.event1='AppError' and drv.event2='EFTQues' then 30033
		when drv.event1='AppError' and drv.event2='EquityQues' then 30034
		when drv.event1='AppError' and drv.event2='ForeignCurrencyQues' then 30035
		when drv.event1='AppError' and drv.event2='FundQues' then 30036
		when drv.event1='AppError' and drv.event2='HGS' then 30037
		when drv.event1='AppError' and drv.event2='Homepage' then 30038
		when drv.event1='AppError' and drv.event2='Info' then 30039
		when drv.event1='AppError' and drv.event2='InsuranceQues' then 30040
		when drv.event1='AppError' and drv.event2='InvoiceQues' then 30041
		when drv.event1='AppError' and drv.event2='KMDAccClosing' then 30042
		when drv.event1='AppError' and drv.event2='KMDAccOpening' then 30043
		when drv.event1='AppError' and drv.event2='KMDPrice' then 30044
		when drv.event1='AppError' and drv.event2='KMDPurchasing' then 30045
		when drv.event1='AppError' and drv.event2='KMDSales' then 30046
		when drv.event1='AppError' and drv.event2='LoanApp' then 30047
		when drv.event1='AppError' and drv.event2='Login' then 30048
		when drv.event1='AppError' and drv.event2='Logout' then 30049
		when drv.event1='AppError' and drv.event2='Menu' then 30050
		when drv.event1='AppError' and drv.event2='MoneyTrQues' then 30051
		when drv.event1='AppError' and drv.event2='MortgApp' then 30052
		when drv.event1='AppError' and drv.event2='MyAccounts' then 30053
		when drv.event1='AppError' and drv.event2='MyAccs' then 30054
		when drv.event1='AppError' and drv.event2='MyCreditCards' then 30055
		when drv.event1='AppError' and drv.event2='MyWealth' then 30056
		when drv.event1='AppError' and drv.event2='OSYM' then 30057
		when drv.event1='AppError' and drv.event2='OthCardQues' then 30058
		when drv.event1='AppError' and drv.event2='OthCashAdvQues' then 30059
		when drv.event1='AppError' and drv.event2='OthCashLoanQues' then 30060
		when drv.event1='AppError' and drv.event2='OthCCQues' then 30061
		when drv.event1='AppError' and drv.event2='OthContractQues' then 30062
		when drv.event1='AppError' and drv.event2='OtherAccClosing' then 30063
		when drv.event1='AppError' and drv.event2='OtherAccOpening' then 30064
		when drv.event1='AppError' and drv.event2='Others' then 30065
		when drv.event1='AppError' and drv.event2='OthLoanQues' then 30066
		when drv.event1='AppError' and drv.event2='OthOrders' then 30067
		when drv.event1='AppError' and drv.event2='OthOVDQues' then 30068
		when drv.event1='AppError' and drv.event2='OTP' then 30069
		when drv.event1='AppError' and drv.event2='OVD' then 30070
		when drv.event1='AppError' and drv.event2='OVDApp' then 30071
		when drv.event1='AppError' and drv.event2='OVDLimitCh' then 30072
		when drv.event1='AppError' and drv.event2='PasswordQues' then 30073
		when drv.event1='AppError' and drv.event2='PratikBorsaQues' then 30074
		when drv.event1='AppError' and drv.event2='PrePaidQues' then 30075
		when drv.event1='AppError' and drv.event2='RegularPayments' then 30076
		when drv.event1='AppError' and drv.event2='RetailLoans' then 30077
		when drv.event1='AppError' and drv.event2='RetailService' then 30078
		when drv.event1='AppError' and drv.event2='Sampas' then 30079
		when drv.event1='AppError' and drv.event2='SchoolPay' then 30080
		when drv.event1='AppError' and drv.event2='SMS' then 30081
		when drv.event1='AppError' and drv.event2='SPK' then 30082
		when drv.event1='AppError' and drv.event2='SwitchLayout' then 30083
		when drv.event1='AppError' and drv.event2='TaxQues' then 30084
		when drv.event1='AppError' and drv.event2='TBD' then 30085
		when drv.event1='AppError' and drv.event2='Tefas' then 30086
		when drv.event1='AppError' and drv.event2='THY' then 30087
		when drv.event1='AppError' and drv.event2='TimeDepAcc' then 30088
		when drv.event1='AppError' and drv.event2='TimeDepAccClosing' then 30089
		when drv.event1='AppError' and drv.event2='TimeDepAccTransfer' then 30090
		when drv.event1='AppError' and drv.event2='TrafficFine' then 30091
		when drv.event1='AppError' and drv.event2='TrxLimit' then 30092
		when drv.event1='AppError' and drv.event2='UseOfLoan' then 30093
		when drv.event1='AppError' and drv.event2='UseOfLoanCancel' then 30094
		when drv.event1='AppError' and drv.event2='UseOfLoanQues' then 30095
		when drv.event1='AppError' and drv.event2='VIOPQues' then 30096
		when drv.event1='AppError' and drv.event2='VirtualCardApp' then 30097
		when drv.event1='AppError' and drv.event2='VisualCard' then 30098
		when drv.event1='AppError' and drv.event2='WarrantQues' then 30099
		when drv.event1='ConnectionErr' and drv.event2='AccActivities' then 30500
		when drv.event1='ConnectionErr' and drv.event2='AccOpening' then 30501
		when drv.event1='ConnectionErr' and drv.event2='AccRenaming' then 30502
		when drv.event1='ConnectionErr' and drv.event2='AccSettings' then 30503
		when drv.event1='ConnectionErr' and drv.event2='Agenda' then 30504
		when drv.event1='ConnectionErr' and drv.event2='ApplLogin' then 30505
		when drv.event1='ConnectionErr' and drv.event2='Authorization' then 30506
		when drv.event1='ConnectionErr' and drv.event2='AutoLoanApp' then 30507
		when drv.event1='ConnectionErr' and drv.event2='BackPage' then 30508
		when drv.event1='ConnectionErr' and drv.event2='BagkurQues' then 30509
		when drv.event1='ConnectionErr' and drv.event2='BESQues' then 30510
		when drv.event1='ConnectionErr' and drv.event2='Bilyoner' then 30511
		when drv.event1='ConnectionErr' and drv.event2='BondQues' then 30512
		when drv.event1='ConnectionErr' and drv.event2='BonusForSpendingPrQues' then 30513
		when drv.event1='ConnectionErr' and drv.event2='Campaigns' then 30514
		when drv.event1='ConnectionErr' and drv.event2='CardAccClosing' then 30515
		when drv.event1='ConnectionErr' and drv.event2='CardCashAdv' then 30516
		when drv.event1='ConnectionErr' and drv.event2='CardCommitmentQues' then 30517
		when drv.event1='ConnectionErr' and drv.event2='CardLimit' then 30518
		when drv.event1='ConnectionErr' and drv.event2='CardLimitCh' then 30519
		when drv.event1='ConnectionErr' and drv.event2='CardPeriod' then 30520
		when drv.event1='ConnectionErr' and drv.event2='CardSettings' then 30521
		when drv.event1='ConnectionErr' and drv.event2='CardStolen' then 30522
		when drv.event1='ConnectionErr' and drv.event2='CardTrxInstallment' then 30523
		when drv.event1='ConnectionErr' and drv.event2='CashAdvanceInstallment' then 30524
		when drv.event1='ConnectionErr' and drv.event2='CashLoanClosing' then 30525
		when drv.event1='ConnectionErr' and drv.event2='CashLoanInfo' then 30526
		when drv.event1='ConnectionErr' and drv.event2='CashLoanPay' then 30527
		when drv.event1='ConnectionErr' and drv.event2='CCApp' then 30528
		when drv.event1='ConnectionErr' and drv.event2='CCDetails' then 30529
		when drv.event1='ConnectionErr' and drv.event2='CCDetailSer_Spending' then 30530
		when drv.event1='ConnectionErr' and drv.event2='CCEComOption' then 30531
		when drv.event1='ConnectionErr' and drv.event2='CCInsurance' then 30532
		when drv.event1='ConnectionErr' and drv.event2='CCPay' then 30533
		when drv.event1='ConnectionErr' and drv.event2='CCSer_StatementQues' then 30534
		when drv.event1='ConnectionErr' and drv.event2='CCSettings' then 30535
		when drv.event1='ConnectionErr' and drv.event2='CCStatement' then 30536
		when drv.event1='ConnectionErr' and drv.event2='CeptetebAccOpening' then 30537
		when drv.event1='ConnectionErr' and drv.event2='CeptetebCCApp' then 30538
		when drv.event1='ConnectionErr' and drv.event2='ChequeQues' then 30539
		when drv.event1='ConnectionErr' and drv.event2='ChooseBonusCard' then 30540
		when drv.event1='ConnectionErr' and drv.event2='CustAddress' then 30541
		when drv.event1='ConnectionErr' and drv.event2='DebtTransfer' then 30542
		when drv.event1='ConnectionErr' and drv.event2='Dekont' then 30543
		when drv.event1='ConnectionErr' and drv.event2='Donation' then 30544
		when drv.event1='ConnectionErr' and drv.event2='EFTQues' then 30545
		when drv.event1='ConnectionErr' and drv.event2='EquityQues' then 30546
		when drv.event1='ConnectionErr' and drv.event2='EStatementQues' then 30547
		when drv.event1='ConnectionErr' and drv.event2='FDR' then 30548
		when drv.event1='ConnectionErr' and drv.event2='ForeignCurrencyQues' then 30549
		when drv.event1='ConnectionErr' and drv.event2='FundQues' then 30550
		when drv.event1='ConnectionErr' and drv.event2='GoldQues' then 30551
		when drv.event1='ConnectionErr' and drv.event2='Homepage' then 30552
		when drv.event1='ConnectionErr' and drv.event2='HubCampaign' then 30553
		when drv.event1='ConnectionErr' and drv.event2='Info' then 30554
		when drv.event1='ConnectionErr' and drv.event2='InsuranceQues' then 30555
		when drv.event1='ConnectionErr' and drv.event2='InvoiceQues' then 30556
		when drv.event1='ConnectionErr' and drv.event2='KKB' then 30557
		when drv.event1='ConnectionErr' and drv.event2='KMDAccOpening' then 30558
		when drv.event1='ConnectionErr' and drv.event2='KMDPurchasing' then 30559
		when drv.event1='ConnectionErr' and drv.event2='KMDSales' then 30560
		when drv.event1='ConnectionErr' and drv.event2='LimitSettings' then 30561
		when drv.event1='ConnectionErr' and drv.event2='LoanApp' then 30562
		when drv.event1='ConnectionErr' and drv.event2='LoanAppSer_AutoInsuranceCal' then 30563
		when drv.event1='ConnectionErr' and drv.event2='LoanSer_AllotementCal' then 30564
		when drv.event1='ConnectionErr' and drv.event2='Login' then 30565
		when drv.event1='ConnectionErr' and drv.event2='Logout' then 30566
		when drv.event1='ConnectionErr' and drv.event2='Menu' then 30567
		when drv.event1='ConnectionErr' and drv.event2='MoneyTrQues' then 30568
		when drv.event1='ConnectionErr' and drv.event2='MortgApp' then 30569
		when drv.event1='ConnectionErr' and drv.event2='MyAccs' then 30570
		when drv.event1='ConnectionErr' and drv.event2='MyCreditCards' then 30571
		when drv.event1='ConnectionErr' and drv.event2='null' then 30572
		when drv.event1='ConnectionErr' and drv.event2='OSYM' then 30573
		when drv.event1='ConnectionErr' and drv.event2='OthAcc' then 30574
		when drv.event1='ConnectionErr' and drv.event2='OthAccClosing' then 30575
		when drv.event1='ConnectionErr' and drv.event2='OthAccQues' then 30576
		when drv.event1='ConnectionErr' and drv.event2='OthAutoLoanQues' then 30577
		when drv.event1='ConnectionErr' and drv.event2='OthCardQues' then 30578
		when drv.event1='ConnectionErr' and drv.event2='OthCashAdvQues' then 30579
		when drv.event1='ConnectionErr' and drv.event2='OthCashLoanQues' then 30580
		when drv.event1='ConnectionErr' and drv.event2='OthCCQues' then 30581
		when drv.event1='ConnectionErr' and drv.event2='OthContractQues' then 30582
		when drv.event1='ConnectionErr' and drv.event2='OtherAccClosing' then 30583
		when drv.event1='ConnectionErr' and drv.event2='OtherAccOpening' then 30584
		when drv.event1='ConnectionErr' and drv.event2='Others' then 30585
		when drv.event1='ConnectionErr' and drv.event2='OthLoanQues' then 30586
		when drv.event1='ConnectionErr' and drv.event2='OthOVDQues' then 30587
		when drv.event1='ConnectionErr' and drv.event2='OTP' then 30588
		when drv.event1='ConnectionErr' and drv.event2='OVD' then 30589
		when drv.event1='ConnectionErr' and drv.event2='OVDApp' then 30590
		when drv.event1='ConnectionErr' and drv.event2='OVDLimitCh' then 30591
		when drv.event1='ConnectionErr' and drv.event2='PasswordQues' then 30592
		when drv.event1='ConnectionErr' and drv.event2='Picture' then 30593
		when drv.event1='ConnectionErr' and drv.event2='PratikBorsaQues' then 30594
		when drv.event1='ConnectionErr' and drv.event2='PrePaidQues' then 30595
		when drv.event1='ConnectionErr' and drv.event2='RegularPayments' then 30596
		when drv.event1='ConnectionErr' and drv.event2='RetailLoans' then 30597
		when drv.event1='ConnectionErr' and drv.event2='RetailService' then 30598
		when drv.event1='ConnectionErr' and drv.event2='SchoolPay' then 30599
		when drv.event1='ConnectionErr' and drv.event2='SMS' then 30600
		when drv.event1='ConnectionErr' and drv.event2='SPK' then 30601
		when drv.event1='ConnectionErr' and drv.event2='SuppCardApp' then 30602
		when drv.event1='ConnectionErr' and drv.event2='SwitchLayout' then 30603
		when drv.event1='ConnectionErr' and drv.event2='TaxQues' then 30604
		when drv.event1='ConnectionErr' and drv.event2='TBD' then 30605
		when drv.event1='ConnectionErr' and drv.event2='Tefas' then 30606
		when drv.event1='ConnectionErr' and drv.event2='THY' then 30607
		when drv.event1='ConnectionErr' and drv.event2='TimeDepAcc' then 30608
		when drv.event1='ConnectionErr' and drv.event2='TimeDepAccClosing' then 30609
		when drv.event1='ConnectionErr' and drv.event2='TimeDepAccTransfer' then 30610
		when drv.event1='ConnectionErr' and drv.event2='TrafficFine' then 30611
		when drv.event1='ConnectionErr' and drv.event2='UseOfLoan' then 30612
		when drv.event1='ConnectionErr' and drv.event2='UseOfLoanCancel' then 30613
		when drv.event1='ConnectionErr' and drv.event2='VIOPQues' then 30614
		when drv.event1='ConnectionErr' and drv.event2='VirtualCardApp' then 30615
		when drv.event1='ConnectionErr' and drv.event2='VisualCard' then 30616
		when drv.event1='ConnectionErr' and drv.event2='WelcomeTEB' then 30617
		when drv.event1='ConnectionErr' and drv.event2 is null then 30618
		when drv.event1='MarError' and drv.event2='HubCampaign' then 30619
		else 30999
end as event_id
,drv.EVENT_DATE
,drv.domain_type
,drv.EVENT1
,drv.event2 
,drv.EVENT3
,drv.CHN_NAME
from(
SELECT 
	mobisno as cmusno
	,tar as EVENT_DATE
	,'WEB_LOG' as domain_type
	, CASE	
			WHEN (web.ack LIKE '%NullPointer%'  AND web.proc_ad = '/cepteteb/HubKampanya.do') THEN 'MarError'
			WHEN (web.ack LIKE '%NullPointer%'  AND web.proc_ad != '/cepteteb/HubKampanya.do') THEN 'AppError'
			when web.ack LIKE '%Connection%' and web.ack not LIKE '%NullPointer%' THEN 'ConnectionErr'
			ELSE 'OtherError'
	END as EVENT1
	, categorie.categorie as event2
	,'' as EVENT3
	,CASE 	WHEN web.KANALNO='5000' THEN 'RetailInt'
			WHEN web.KANALNO='5041' THEN 'Mbl'
	END as CHN_NAME
FROM "staging"."pov_snap$_s_web_log" web
left join "staging"."web_log_categorie" categorie
on web.proc_ad=trim(categorie.proc_ad)
JOIN onboarding.control_path control_tab
ON 1=1
WHERE web.uyari_gonder IS NOT NULL
and web.KANALNO in ('5000', '5041') /* asagidaki ack kosuluyla zaten sadece bu kanallar geliyor*/
AND (web.ack LIKE '%Exception%' or web.ack LIKE '%ORA-%')
and web.tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE) ) drv
where drv.EVENT1 != 'OtherError';
--STATEMENT 1: Insert Statement completed. 11528167  rows processed.

--delete from onboarding.event_list where domain_type='WEB_LOG';
--
--INSERT INTO onboarding.event_list
--select drv.cmusno
--,case when drv.event1='AppError' then 30900
--		when drv.event1='MarError' then 30901
--		when drv.event1='ConnectionErr' then 30902
--else 00000
--end as event_id
--,drv.EVENT_DATE
--,drv.domain_type
--,drv.EVENT1
--,drv.event2 
--,drv.EVENT3
--,drv.CHN_NAME
--from(
--SELECT 
--	mobisno as cmusno
--	,tar as EVENT_DATE
--	,'WEB_LOG' as domain_type
--	, CASE	
--			WHEN (web.ack LIKE '%NullPointer%'  AND web.proc_ad = '/cepteteb/HubKampanya.do') THEN 'MarError'
--			WHEN (web.ack LIKE '%NullPointer%'  AND web.proc_ad != '/cepteteb/HubKampanya.do') THEN 'AppError'
--			when web.ack LIKE '%Connection%' and web.ack not LIKE '%NullPointer%' THEN 'ConnectionErr'
--			ELSE 'OtherError'
--	END as EVENT1
--	, '' as event2
--	,'' as EVENT3
--	,CASE 	WHEN web.KANALNO='5000' THEN 'RetailInt'
--			WHEN web.KANALNO='5041' THEN 'Mbl'
--	END as CHN_NAME
--FROM "staging"."pov_snap$_s_web_log" web
--left join "staging"."web_log_categorie" categorie
--on web.proc_ad=trim(categorie.proc_ad)
--JOIN onboarding.control_path control_tab
--ON 1=1
--WHERE web.uyari_gonder IS NOT NULL
--and web.KANALNO in ('5000', '5041') /* asagidaki ack kosuluyla zaten sadece bu kanallar geliyor*/
--AND (web.ack LIKE '%Exception%' or web.ack LIKE '%ORA-%')
--and web.tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE) ) drv
--where drv.EVENT1 != 'OtherError';
----STATEMENT 1: Insert Statement completed. 11177093 rows processed.

/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from onboarding.event_list
where domain_type='WEB_LOG' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select  domain_type, EVENT1, EVENT2, EVENT3, count(cust_id)
from staging.path_events
where domain_type='CREDIT CARD'
group by  domain_type, EVENT1, EVENT2, EVENT3;
*/



--select PROC_AD ,count(*) from "staging"."pov_snap$_s_web_log" group by 1;





/*
 * adil'in ilk kod - yaz�l�mc�yla konusmadan once:
 *
--Find the error message when possible
SELECT
--ACK,
CASE WHEN POSITION('ApplicationException' in ACK) > 0
	 THEN SUBSTR(
	 				SUBSTR(ACK,POSITION('.execute(' in ACK)+9) -- Take substring from ".execute(" onwards
	 				,1
	 				,POSITION('Action.java:' in SUBSTR(ACK,POSITION('.execute(' in ACK)+9)) --Get poistion of "Action.java:" after ".execute(" in ACK
	 			)
END as msg,
PROC_AD,
COUNT(*)
FROM
"staging"."pov_snap$_s_web_log"
WHERE  POSITION('ApplicationException' in ACK) > 0 and POSITION('execute(' in ACK) > 0
GROUP BY 1,2
LIMIT 50;
*/

/* 

yaz�l�mc�n�n notlar�:

select 
--KANALNO as CHANNEL,
proc_ad,
SUM(CASE WHEN ack like '%Connection%' THEN 1 ELSE 0 END) as CONNECTION_ERRORS,
COUNT(*)
from "staging"."pov_snap$_s_web_log"
where uyari_gonder is not null  
	 and (ack like '%Exception%' or ack like '%ORA-%')
GROUP BY 1
--,2	 


select *
from "staging"."pov_snap$_s_web_log"
where uyari_gonder is not null  
	 and (ack like '%Exception%' or ack like '%ORA-%')
and ack like '%Connection%'

--Application Error that will not effect customer functionaly
--and ack like '%NullPointer%'  and proc_ad = '/cepteteb/HubKampanya.do' -- bunu eklersen yaz�l�mc� hatalar� - kampanyalardan dolay� ald�g� hatalar

--Application Error that will effect customer, something went wrong in application
--and ack like '%NullPointer%' -- bunu eklersen yaz�l�mc� hatalar� 

-- connection errors
--and ack like '%Connection%' -- connection ge�iyorsa 


--proc_ad: subject area
--KANALNO : CHANNEL


select count(*), uyari_gonder
from "staging"."pov_snap$_s_web_log"
group by uyari_gonder;


select *
from "staging"."pov_snap$_s_web_log"
where uyari_gonder is not null  
	and (ack like '%Exception%' or ack like '%ORA-%')

	
and ack like '%NullPointer%' -- bunu eklersen yaz�l�mc� hatalar� 
and ack like '%NullPointer%'  and proc_ad = '/cepteteb/HubKampanya.do' -- bunu eklersen yaz�l�mc� hatalar� - kampanyalardan dolay� ald�g� hatalar


select *
from "staging"."pov_snap$_s_web_log"
where ack like '%.bireysel.action.DovizAlisAction.execute(DovizAlisAction.java%'




SELECT
CHANNEL
,gonderim_tar as DT
,COUNT(*) as COM_COUNT
,COUNT(DISTINCT CMUSNO) as CUST_CNT_CONTACTED 
FROM
"staging"."pov_event_mark_offer_emailsms"
GROUP BY 1,2
ORDER BY 2 ASC;


SELECT
CHANNEL
,COM_COUNT
,DT
,COUNT(*) as CUSTOMERS
FROM
(
	SELECT
	CMUSNO
	,CHANNEL
	,gonderim_tar as DT
	,COUNT(*) as COM_COUNT
	FROM
	"staging"."pov_event_mark_offer_emailsms"
	GROUP BY 1,2,3
) DRV
GROUP BY 1,2,3;

SELECT
CHANNEL
,QUA
,DT
,COUNT(*) as CUSTOMERS
FROM
(
	SELECT
	CMUSNO
	,CHANNEL
	,gonderim_tar as DT
	,COUNT(*) as COM_COUNT
	FROM
	"staging"."pov_event_mark_offer_emailsms"
	GROUP BY 1,2,3
) DRV
GROUP BY 1,2,3



*/




