INSERT INTO onboarding.event_list
SELECT 	  cmusno 
		, 34001 AS event_id
		, ipt_tar as EVENT_DATE
		,'SALARY'
		, 'SalaryAgrFinish' as event1
		,'' as event2
		,'' as EVENT3
		,'' as chn_name	
from
(
select  distinct a.calisan_cmusno as cmusno, 
		a.fatkurumno, 
		b.ipt_tar
from dw_out.dwf_maas_kesit a
inner join onboarding.control_path control_tab 
ON 1=1
inner join dw_out.fat_kurum b
	on a.fatkurumno=b.fatkurumno
	and b.ipt_tar between control_tab.start_date 
	and control_tab.end_date 
) drv;

--STATEMENT 1: Insert Statement completed. 11510  rows processed. 

