select domin_type, event1, evnt2
from onboarding.event_list
where domain_type='CreditCard'
limit 10;

select * from dw_out.txn_cycle

INSERT INTO onboarding.event_list
SELECT cmusno 
		,null AS event_id
		, ac_tar as EVENT_DATE
		,'LOAN'
		,case when kisa_ad like '%Konut%' and ad like '%TL%' then 'MtgeOpenTL'
		when kisa_ad like '%Konut%' and ad like '%YP%' then 'MtgeOpenYP'
		when kisa_ad like '%Konut%' and ad like '%DEK%' then 'MtgeOpenDEK'
		when kisa_ad like '%Taşıt%' and ad like '%TL%'then 'CarLnOpenTL'
		when kisa_ad like '%Taşıt%' and ad like '%YP%' then 'CarLnOpenYP'
		when kisa_ad like '%Taşıt%' and ad like '%DEK%' then 'CarLnOpenDEK'
		when kisa_ad like '%İhtiyaç%'	and ad like '%TL%'then 'PerLnOpenTL'
		when kisa_ad like '%İhtiyaç%'	and ad like '%YP%' then 'PerLnOpenYP'
		when kisa_ad like '%İhtiyaç%'	and ad like '%DEK%' then 'PerLnOpenDEK'
		when kisa_ad like '%Bireysel Finansman%' and ad like '%TL%' then 'PerFinLnOpenTL'
		when kisa_ad like '%Bireysel Finansman%' and ad like '%YP%' then 'PerFinLnOpenYP'
		when kisa_ad like '%Bireysel Finansman%' and ad like '%DEK%' then 'PerFinLnOpenDEK'
		when kisa_ad like '%İşyeri%' and ad like '%TL%' then 'WorkplaceLnOpenTL'
		when kisa_ad like '%İşyeri%' and ad like '%YP%' then 'WorkplaceLnOpenYP'
		when kisa_ad like '%İşyeri%' and ad like '%DEK%' then 'WorkplaceLnOpenDEK'
		else 'LnOpen'
		end as event1
		,'' as event2
		,'' as EVENT3
		,'' as chn_name	
FROM
(
SELECT
tarih,
m.cmusno,
k.sube,
k.krdno,
h.tar as ac_tar,
son_taksit_vadesi,
h.kap_tar,
l.kul_tut,
u.kisa_ad,
u.ad
FROM 
staging.pov_dwf_banka_urun_kesit_kredi as k
join dw_out.hesap h  
	on k.sube = h.sube 
	and k.hesno = h.hesno
JOIN
onboarding.control_path control_tab 
ON 1=1
INNER JOIN staging.pov_ybs_hesap_ortak_musteri m
ON tarih = CAST(control_tab.end_date as DATE) AND k.sube=m.sube AND k.hesno=m.hesno AND k.krdno=m.krdno
LEFT JOIN 
(select sube, hesno, max(kul_tut) as kul_tut
from staging.POV_SNAP_S_YKRD_TUR_LIM_KUL_ISL
group by 1,2
) l
ON k.sube=l.sube AND k.hesno=l.hesno
LEFT JOIN staging.pov_banka_urun u
ON k.bankaurunid=u.id
WHERE h.tar between control_tab.start_date and control_tab.end_date
) DRV;


select count(*) from (
select guid,
ACCOUNT_NO,
main_account_no,
txn_source REF_EVAM_KK_TXN_SRC, 
txn_trm REF_EVAM_KK_KANAL,
otc,
ots,
ote,
local_txn_amnt islem_tutar_TL,
f4 islem_tutar,
f49 para_birimi,
f41 terminal_id, 
f43_country ULKE_KOD,
case when txn_install_type='N' then 0
	 else 1 end  TAKSIT_VY,
txn_install_type REF_EVAM_KKTAKST_TP,
install_cnt TAKSIT_SAYISI,
to_date (F13::varchar,'YYYYMMDD') POS_ISLEM_TAR,
to_date (REQ_DATE::varchar,'YYYYMMDD') ISLEM_TAR,
REQ_TIME,
CAST(TO_TIMESTAMP(CAST(REQ_DATE as VARCHAR(8))||(
			CASE WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 1 THEN ('00000'|| CAST(REQ_TIME as VARCHAR(6)))
				 WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 2 THEN ('0000'|| CAST(REQ_TIME as VARCHAR(6)))
				 WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 3 THEN ('000'|| CAST(REQ_TIME as VARCHAR(6)))
				 WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 4 THEN ('00'|| CAST(REQ_TIME as VARCHAR(6)))
				 WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 5 THEN ('0'|| CAST(REQ_TIME as VARCHAR(6)))
				 WHEN LENGTH(CAST(REQ_TIME as VARCHAR(6))) = 6 THEN CAST(REQ_TIME as VARCHAR(6))
				 ELSE '000000' END),'YYYYMMDDHH24MISS') 
		AS TIMESTAMP(0)) as islem_tar_saat,
F18 UYE_ISYERI_KATEGORI_KODU,
F42 UYE_ISYERI_NO,
F43 UYE_ISYERI_AD,
F43_city UYE_ISYERI_SEHIR,
F43_country UYE_ISYERI_ULKE,
F47 BKM_ID,
is_bonus_used BONUS_KULLANIM_VY,
case when is_defered='N' then 0
	 else 1 end OTELEME_VY,
case when txn_source='O' then 1
	 else 0 end TEB_POSLU_ISLEM_VY,
SUBSTR(f2,1,6) kart_ilk_6,
SUBSTR(f2,13,16) kart_son_4
--,available_limit
--select *
from dw_out.txn_cycle
where  otc in (18,22,10,11)
) a;


select * 
from dw_out.txn_cycle
where ACCOUNT_NO='19667500';


select *
from staging.pov_dwf_kart_harbilgi
where mustno='19667500';
limit 10;

select *
from dw_out.dwd_kart
where d_cmusno=20214647





