drop table if exists goker.min_dur_check_2;
create table goker.min_dur_check_2
DISTRIBUTE BY HASH (cmusno)
compress
as
select * from 
	(
	select 
		event_date::date-b.d_ilk_edinim_tar::date as diff, 
		b.d_ilk_edinim_tar, 
		edinim_kanal, 
		a.*, 
		mus_tip, 
		portfoy_tip_ack, is_kolu
	from onboarding.event_list a
	inner join 
	goker.edinim_kanal b
	on a.cmusno=b.cmusno
	inner join staging.pov_dwd_kon_musteri d
	on a.cmusno=d.cmusno
		and d.tarih_id='05-31-2018'
	) c 
where diff<0;