
/*****************************************************YENI HALI-REVIZE*************************************************/
--Application Events, Loan and Credit Card application
/*cl_idv_ofr_tp_code*/


insert into goker.event_list
SELECT cmusno
		,CASE WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'TK' THEN  29001
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KK' THEN  29002
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KL' THEN  29003
				WHEN cl_app_tp_code in ('TK','EK','E') THEN 29004
				WHEN cl_app_tp_code='KK' THEN 29005
				WHEN cl_app_tp_code in ('KL','EL') THEN 29006			
				WHEN cl_app_tp_code='KE' THEN 29007				
				WHEN cl_app_tp_code='I' THEN 29008
				WHEN cl_app_tp_code='K' THEN 29009
				WHEN cl_app_tp_code in ('KMH','FYB','FYI') THEN 29010
				ELSE 29011
		 END as event_id
		, b.basvuru_sonuc_tar as EVENT_DATE
		,'APPLICATION' as DOMAIN_TYPE
		, 'AprvdApp' as EVENT1
		  , CASE WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'TK' THEN  'PreAprvdLoan'
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KK' THEN  'PreAprovdCC'
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KL' THEN  'PreAprvdCCLmt'
				WHEN cl_app_tp_code in ('TK','EK','E') THEN 'PerLoan'
				WHEN cl_app_tp_code='KK' THEN 'CC-Prm'
				WHEN cl_app_tp_code in ('KL','EL') THEN 'CCLimitInc'				
				WHEN cl_app_tp_code='KE' THEN 'CC-Sup'				
				WHEN cl_app_tp_code='I' THEN 'ComLoan'
				WHEN cl_app_tp_code='K' THEN 'CorpLoan'
				WHEN cl_app_tp_code in ('KMH','FYB','FYI') THEN 'OVD'
				ELSE 'UnknownApp'
		 END as EVENT2
		,'' as EVENT3
		,cnl_nm as CHANNEL
FROM dw_out.dim_cr_app_smy a
JOIN dw_out.basvuru b
	on  a.SS_CR_APP_NO = b.basvuruno
JOIN staging.pov_control_path control_tab ON 1=1
JOIN "dw_out"."cmusteri_tum_key" b
on a.cst_id=b.sk 
where 
cl_app_rslt_cgy_code='3' --ONAY
and b.basvuru_sonuc_tar BETWEEN control_tab.start_date AND control_tab.end_date
and as_of_dt='04-30-2018'/*control_tab.snapshot_date*/;
--STATEMENT 1: Insert Statement completed. 3377027 rows processed.
 

/*********rejected application*********************/

insert into goker.event_list
SELECT cmusno
		,CASE WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'TK' THEN  29012
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KK' THEN  29013
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KL' THEN  29014
				WHEN cl_app_tp_code in ('TK','EK','E') THEN 29015
				WHEN cl_app_tp_code='KK' THEN 29016
				WHEN cl_app_tp_code in ('KL','EL') THEN 29017				
				WHEN cl_app_tp_code='KE' THEN 29018				
				WHEN cl_app_tp_code='I' THEN 29019
				WHEN cl_app_tp_code='K' THEN 29020
				WHEN cl_app_tp_code in ('KMH','FYB','FYI') THEN 29021
				ELSE 29022
		 END as event_id
		, app_dt as EVENT_DATE
		,'APPLICATION' as DOMAIN_TYPE
		, 'RejctdApp' as EVENT1
		  , CASE WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'TK' THEN  'PreAprvdLoan'
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KK' THEN  'PreAprovdCC'
		   		WHEN cl_idv_ofr_tp_code in ('4','5','6') AND cl_app_tp_code = 'KL' THEN  'PreAprvdCCLmt'
				WHEN cl_app_tp_code in ('TK','EK','E') THEN 'PerLoan'
				WHEN cl_app_tp_code='KK' THEN 'CC-Prm'
				WHEN cl_app_tp_code in ('KL','EL') THEN 'CCLimitInc'				
				WHEN cl_app_tp_code='KE' THEN 'CC-Sup'				
				WHEN cl_app_tp_code='I' THEN 'ComLoan'
				WHEN cl_app_tp_code='K' THEN 'CorpLoan'
				WHEN cl_app_tp_code in ('KMH','FYB','FYI') THEN 'OVD'
				ELSE 'UnknownApp'
		 END as EVENT2
		,'' as EVENT3
		,cnl_nm as CHANNEL
FROM dw_out.dim_cr_app_smy a
JOIN staging.pov_control_path control_tab ON 1=1
JOIN "dw_out"."cmusteri_tum_key" b
on a.cst_id=b.sk 
where 
cl_app_rslt_cgy_code='2' --RED
and app_dt BETWEEN control_tab.start_date AND control_tab.end_date
and as_of_dt='04-30-2018'/*control_tab.snapshot_date*/;

--STATEMENT 2: Insert Statement completed. 8978491 rows processed.
--DELETE FROM goker.event_list where domain_type = 'APPLICATION';

/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from goker.event_list
where domain_type = 'APPLICATION' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

*/
